#include "TFT_4DGL.h"

TFT_4DGL lcd(p9,p10,p11);

int main() {

    double x1,y1,z1,x,y,z,t,dt;
    int   xp,yp;
   
    float a = 1.8;
    float b = -0.07;
    float d = 1.5;
    float m = 0.02;

    x1 = 0.5;
    y1 = 0;
    z1 = 0;
    
    dt = 0.005;

    while(1)
    
    {
    
        x = x1+(x1-y1)*dt;
        y = y1+(-4*a*y1+x1*z1+m*pow(x1,3))*dt;
        z = z1+(-d*a*z1+x1*y1+b*pow(z1,2))*dt;
        t = t+dt;

        xp = 10+(int)floor(33*x);
        yp = 10+(int)floor(10*y);

        lcd.pixel(yp,xp,WHITE);
      
        x1 = x;
        y1 = y;
        z1 = z;

    }
 
}